curl --request GET \
--url https://api.withflex.com/v1/disputes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disputes": [
{
"dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"currency": "usd",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"status": "lost",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"evidence": {
"access_activity_log": "string",
"customer_name": "string",
"customer_email_address": "string",
"customer_purchase_ip": "string",
"billing_address": "string",
"shipping_address": "string",
"shipping_tracking_number": "string",
"shipping_carrier": "string",
"shipping_date": "string",
"service_date": "string",
"product_description": "string",
"refund_policy_disclosure": "string",
"refund_refusal_explanation": "string",
"cancellation_policy_disclosure": "string",
"cancellation_rebuttal": "string",
"duplicate_charge_explanation": "string",
"duplicate_charge_id": "string",
"uncategorized_text": "string",
"customer_communication": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"customer_signature": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"shipping_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"receipt": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"duplicate_charge_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"service_documentation": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"uncategorized_file": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"cancellation_policy": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
},
"refund_policy": {
"file_id": "ffile_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"filename": "string",
"stripe_file_id": "string"
}
},
"evidence_details": {
"due_by": "2026-06-15T14:30:00Z",
"has_evidence": false,
"past_due": false,
"submission_count": 3
},
"balance_transactions": [
{
"balance_transaction_id": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"fee": 2500,
"net": 2500,
"status": "available",
"type": "string",
"reporting_category": "example_value",
"category": "example_value",
"created_at": "2026-06-15T14:30:00Z"
}
],
"payment_method_details": {
"type": "string",
"card": {
"brand": "visa",
"network_reason_code": "example_value"
}
},
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}List Disputes
Returns a list of your disputes, most recent first.
Evidence is omitted by default; pass expand=evidence to include the parsed evidence for each dispute.
Authorizations
Use a Bearer token to access this API.
Query Parameters
Maximum number of disputes to return (default 20, max 100).
-9007199254740991 <= x <= 900719925474099110
A cursor for use in pagination. starting_after is a dispute ID that defines your place in the list. For instance, if you make a list request and receive 20 disputes, ending with fdp_xyz, your subsequent call can include starting_after=fdp_xyz to fetch the next page of the list.
"fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. ending_before is a dispute ID that defines your place in the list. For instance, if you make a list request and receive 20 disputes, starting with fdp_abc, your subsequent call can include ending_before=fdp_abc to fetch the previous page of the list.
"fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Filter by charge ID.
"fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Filter by payment intent ID.
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Filter by dispute statuses (comma-separated, e.g. ?statuses=needs_response,under_review).
The current status of a dispute.
lost, needs_response, under_review, warning_closed, warning_needs_response, warning_under_review, won "lost"
"needs_response"
Comma-separated list of fields to expand (e.g., ?expand=evidence).
Response
An envelope wrapping a list of dispute objects.
An envelope wrapping a list of dispute objects.
The list of disputes.
Show child attributes
Show child attributes